2
Vote

SparrowChart.WP8 API is not supported for this kind of application

description

Hi

I enjoyed using sparrow char for my application, but now when i go to submit my application. I get errors from the windows phone store, namely :

Supported APIs
Error Found: The supported APIs test detected the following errors:
This API is not supported for this application type - Api=CreateFileMappingA. Module=kernel32.dll. File=Sparrow.Chart.WP8.45.dll.
This API is not supported for this application type - Api=MapViewOfFile. Module=kernel32.dll. File=Sparrow.Chart.WP8.45.dll.
Impact if not fixed: Using an API that is not part of the Windows SDK for Windows Phone Store apps violates the Windows Phone Store certification requirements.
How to fix: Review the error messages to identify the API that is not part of the Windows SDK for Windows Phone Store app. Please note, C++ apps that are built in a debug configuration will fail this test even if they only use APIs from the Windows SDK for Windows Phone Store apps.

Is there a fix for this?

comments

bartqc wrote May 1, 2015 at 8:54 PM

Hello, I was surprised by this too. I found this one link https://sparrowtoolkit.codeplex.com/workitem/983. I guess that similar thing could work in this case. Tomorrow I will try to get source code and build sparrow without this functions and write here if I succeed. It would be nice to get it fixed though.

wrote May 1, 2015 at 8:54 PM